### Constructor

# Gio InetAddress new_from_bytes_with_ipv6_info

since: 2.86

#### Declaration [src]

    GInetAddress*
    g_inet_address_new_from_bytes_with_ipv6_info (
      const guint8* bytes,
      GSocketFamily family,
      guint32 flowinfo,
      guint32 scope_id
    )

#### Description [src]

Creates a new `GInetAddress` from the given `family`, `bytes` and `scope_id`.

`bytes` must be 4 bytes for `G_SOCKET_FAMILY_IPV4` and 16 bytes for `G_SOCKET_FAMILY_IPV6`.

Available since: 2.86

#### Parameters

`bytes`

  Type: An array of `guint8`

  Raw address data.

  The data is owned by the caller of the function.

`family`

  Type: `GSocketFamily`

  The address family of `bytes`.

`flowinfo`

  Type: `guint32`

  No description available.

`scope_id`

  Type: `guint32`

  The scope-id of the address.

#### Return value

Type: `GInetAddress`

A new internet address corresponding to `family`, `bytes` and `scope_id`.

The caller of the function takes ownership of the data, and is responsible for freeing it.